import { getAPIInterceptor, postAPIInterceptor } from "@/config/api";

export async function getAgendaSettingsById(id: any) {
  const url = `agenda-settings?id=${id}`;
  return getAPIInterceptor({ url });
}

export async function getAgendaSettingsList(year = "", month = "", type = "") {
  const url = `agenda-settings/list?year=${year}&month=${month}&type=${type}`;
  return getAPIInterceptor(url);
}

export async function saveAgendaSettings(data: any) {
  const url = `agenda-settings`;
  return postAPIInterceptor(url, data);
}
